<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
    
  <div class="d-flex justify-content-center">
    <button class="btn btn-primary col-3" type="button" routerLink="/cronograma-medicamentos/crear">Agregar nuevo cronograma</button>
  </div>
    
  <br>

    </div>


  <!-- <app-table></app-table> -->
  <div class="row">
    <div class="col-12">

 
   <h2 class="font-medium my-3 col-6">Cronograma de medicamentos</h2>
 


      <!-- <div *ngIf="tienemedicamentos=='NO' ">
        <div class="card" >
          <div class="card-body">
          

              <div class="alert alert-warning" role="alert">
                 <p><strong>Notificación:</strong>
                  No cuenta con un cronograma de medicamentos.    
                </p>
                       </div> 

     
            </div>
        </div>
      
      </div> -->

      <div *ngIf="medicamentosActivos.length==0">
        <div class="card" >
          <div class="card-body">
          

              <div class="alert alert-warning" role="alert">
                 <p><i class="bi bi-exclamation-triangle-fill"></i>
                  No cuenta con medicamentos cargados.    
                </p>
                       </div> 

     
            </div>
        </div>
      
      </div>

      
      <div class="card" *ngFor="let cronograma of cronogramas">
  
        <div class="card-body">
           <div class="table-responsive" >
            <div *ngIf="rolUsuario === 'Cuidador'">
              <h4 class="card-title">
                {{cronograma.paciente.nombre}} {{cronograma.paciente.apellido}}</h4>
            </div>
            <table class="table align-middle text-nowrap">
                <thead>
                    <tr>
                        <th class="text-dark font-medium fs-4">Medicamento</th>
                        <th class="text-dark font-medium fs-4">Días</th>
                        <th class="text-dark font-medium fs-4">Horario</th>
                    </tr>
                </thead>
                <tbody *ngFor="let items of cronograma.items; let i = index">
                    <tr *ngIf="items.estado!=false">
                        <td>
                            <div class="d-flex align-items-center">
                              <i class="bi bi-capsule"></i>
                                <div class="ms-3">
                                    <h5 class="mb-0 font-medium">{{items.medicamento}}</h5>
                                </div>
                            </div>
                        </td>
                        <td>{{items.dias}}</td>
  
                        <td>{{items.hora}}</td>
                    </tr>
                </tbody>
            </table>
        </div>

          <div *ngIf="rolUsuario === 'Cuidador'">
            <a href="/cronograma-medicamentos/editar/{{cronograma.id}}" class="btn btn-primary">Agregar Medicamento</a>
          </div>
        
        </div>
      </div>


      
  
